<?php
/*
Plugin Name: EDD Recent Payments History
Plugin URI: https://sushyant.com/project/edd-recent-payments-history/
Description: show last complete payments. just insert shortcode [recent_purchase_history] on a page.
Author: Sushyant Zavarzadeh
Version: 1.1.2
Author URI: http://sushyant.com
License: GPLv2 or later
*/

add_shortcode( 'recent_purchase_history', 'edd_recent_purchase_history' );

function edd_recent_purchase_history() {

	ob_start();

	include dirname( __FILE__ ) . '/recent-complete-payments.php';

	return ob_get_clean();
}

function edd_recent_purchase_payments() {

	$query = new WP_Query( array(
			'post_type'    => 'edd_payment',
			'meta_key'     => '_edd_completed_date',
			'meta_compare' => '!=',
			'meta_value'   => '',
			'showposts'    => 60,
		)
	);

	return $query->get_posts();
}

function edd_list_users_display_name( $posts ) {

	global $wpdb;

	$id_list = array();

	foreach ( $posts as $post ) {

		$id_list[] = $post->post_author;
	}

	if ( empty( $id_list ) ) {
		return array();
	}

	$results = array();

	$sql = 'SELECT ID,user_login,user_nicename,display_name FROM ' . $wpdb->users;
	$sql .= '  WHERE ID IN(' . implode( ',', $id_list ) . ')';


	foreach ( $wpdb->get_results( $sql ) as $user ) {

		$user_id = $user->ID;

		if ( ! empty( $user->display_name ) ) {

			$results[ $user_id ] = $user->display_name;

		} else if ( ! empty( $user->user_nicename ) ) {

			$results[ $user_id ] = $user->user_nicename;

		} else {

			$results[ $user_id ] = $user->user_login;
		}
	}

	return $results;
}
